For the complete documentation index, see llms.txt.
Rates
Request checkout rates and delivery services from courier accounts configured in Starshipit.
3 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/rates
Details
Get a quote for a shipment
Get Rates Request
Get Rates Response
Rate Sender Address Model
Rate Destination Address Model
Rate Package Model
Rate Model
Request body
{
"sender": {
"street": "184 Exhibition Street",
"suburb": "Melbourne",
"city": "Melbourne",
"state": "VIC",
"post_code": "3000",
"country_code": "AU"
},
"destination": {
"street": "20 Liverpool Street",
"suburb": "Paddington",
"city": "Sydney",
"state": "NSW",
"post_code": "2021",
"country_code": "AU"
},
"packages": [
{
"weight": 0.1
}
]
}Response examples
Get Rates with sender address specified
{
"rates": [
{
"service_name": "PARCEL POST + SIGNATURE",
"service_code": "7B05",
"total_price": 12.05
},
{
"service_name": "EXPRESS POST + SIGNATURE",
"service_code": "7B05",
"total_price": 14.65
}
],
"success": true
}Get Rates with default sender address (200)
{
"rates": [
{
"service_name": "PARCEL POST + SIGNATURE",
"service_code": "7B05",
"total_price": 10.15
},
{
"service_name": "EXPRESS POST + SIGNATURE",
"service_code": "7B05",
"total_price": 12.85
}
],
"success": true
}